aboutsummaryrefslogtreecommitdiff
path: root/Config.in.legacy
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2016-12-20 11:48:26 -0300
committerGravatar Peter Korsgaard <peter@korsgaard.com>2016-12-20 19:32:00 +0100
commit6be22624c883cb036be461e2135c1dcef4086bdd (patch)
treee01c67ce025ba33c0ccb5ec211d9f5cfdefe6cdb /Config.in.legacy
parent8812cffe996c8d0cbd48bf7e565921ba68d5d293 (diff)
downloadbuildroot-6be22624c883cb036be461e2135c1dcef4086bdd.tar.gz
buildroot-6be22624c883cb036be461e2135c1dcef4086bdd.tar.bz2
linux-headers: kill 3.14.x and 4.{5, 6, 7}.x series
These aren't supported upstream any more so remove the options and add them to legacy. Also switch the older deprecations that used 3.14.x to 3.12.x Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'Config.in.legacy')
-rw-r--r--Config.in.legacy52
1 files changed, 46 insertions, 6 deletions
diff --git a/Config.in.legacy b/Config.in.legacy
index c8039ba9b9..cdadbd8f59 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -145,6 +145,46 @@ endif
###############################################################################
comment "Legacy options removed in 2017.02"
+config BR2_KERNEL_HEADERS_4_7
+ bool "kernel headers version 4.7.x are no longer supported"
+ select BR2_KERNEL_HEADERS_4_4
+ select BR2_LEGACY
+ help
+ Version 4.7.x of the Linux kernel headers are no longer
+ maintained upstream and are now removed. As an alternative,
+ version 4.4.x of the headers have been automatically
+ selected in your configuration.
+
+config BR2_KERNEL_HEADERS_4_6
+ bool "kernel headers version 4.6.x are no longer supported"
+ select BR2_KERNEL_HEADERS_4_4
+ select BR2_LEGACY
+ help
+ Version 4.6.x of the Linux kernel headers are no longer
+ maintained upstream and are now removed. As an alternative,
+ version 4.4.x of the headers have been automatically
+ selected in your configuration.
+
+config BR2_KERNEL_HEADERS_4_5
+ bool "kernel headers version 4.5.x are no longer supported"
+ select BR2_KERNEL_HEADERS_4_4
+ select BR2_LEGACY
+ help
+ Version 4.5.x of the Linux kernel headers are no longer
+ maintained upstream and are now removed. As an alternative,
+ version 4.4.x of the headers have been automatically
+ selected in your configuration.
+
+config BR2_KERNEL_HEADERS_3_14
+ bool "kernel headers version 3.14.x are no longer supported"
+ select BR2_KERNEL_HEADERS_3_12
+ select BR2_LEGACY
+ help
+ Version 3.14.x of the Linux kernel headers are no longer
+ maintained upstream and are now removed. As an alternative,
+ version 3.12.x of the headers have been automatically
+ selected in your configuration.
+
config BR2_TOOLCHAIN_EXTERNAL_MUSL_CROSS
bool "musl-cross 1.1.12 toolchain removed"
select BR2_LEGACY
@@ -589,12 +629,12 @@ config BR2_PACKAGE_XDRIVER_XF86_INPUT_VOID
config BR2_KERNEL_HEADERS_3_17
bool "kernel headers version 3.17.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_14
+ select BR2_KERNEL_HEADERS_3_12
select BR2_LEGACY
help
Version 3.17.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.14.x of the headers have been
+ As an alternative, version 3.12.x of the headers have been
automatically selected in your configuration.
config BR2_GDB_VERSION_7_7
@@ -735,12 +775,12 @@ config BR2_PACKAGE_CUPS_PDFTOPS
config BR2_KERNEL_HEADERS_3_16
bool "kernel headers version 3.16.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_14
+ select BR2_KERNEL_HEADERS_3_12
select BR2_LEGACY
help
Version 3.16.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.14.x of the headers have been
+ As an alternative, version 3.12.x of the headers have been
automatically selected in your configuration.
config BR2_PACKAGE_PYTHON_PYXML
@@ -971,12 +1011,12 @@ config BR2_KERNEL_HEADERS_3_13
config BR2_KERNEL_HEADERS_3_15
bool "kernel headers version 3.15.x are no longer supported"
- select BR2_KERNEL_HEADERS_3_14
+ select BR2_KERNEL_HEADERS_3_12
select BR2_LEGACY
help
Version 3.15.x of the Linux kernel headers have been deprecated
for more than four buildroot releases and are now removed.
- As an alternative, version 3.14.x of the headers have been
+ As an alternative, version 3.12.x of the headers have been
automatically selected in your configuration.
config BR2_PACKAGE_DIRECTFB_EXAMPLES_ANDI